Initiates delete for AutoProtectionPolicy Binding
HTTP request
POST https://backupdr.googleapis.com/v1/{name=projects/*/locations/*/autoProtectionPolicies/*/bindings/*}:initiateDelete The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the binding to delete. Format: projects/{project}/locations/{location}/autoProtectionPolicies/{autoProtectionPolicy}/bindings/{binding} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "etag": string, "requestId": string } |
| Fields | |
|---|---|
etag |
Optional. The current etag of the AutoProtectionPolicyBinding. If an etag is provided and does not match the current etag of the binding, deletion will be blocked and an ABORTED error will be returned. |
requestId |
Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000). |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-backupdr
For more information, see the Authentication Overview.